
#define BXLPSTATUSBACK_API __declspec(dllimport)

typedef INT (CALLBACK *fnCallback)(INT nStatus);

// Calls the specified printer to use Status API.
BXLPSTATUSBACK_API BOOL __stdcall BidiOpenMonPrinter(LPCTSTR PrnDrvName);
// Calls the specified printer to use Status API.
BXLPSTATUSBACK_API BOOL __stdcall BidiOpenMonPrinterW(LPWSTR PrnDrvName);
// Closes Status API.
BXLPSTATUSBACK_API BOOL __stdcall BidiCloseMonPrinter();
// Provides notification regarding the call of the callback function notifying the application when the ASB status of Status API changes.
BXLPSTATUSBACK_API BOOL __stdcall BidiSetStatusBackFunction(fnCallback pBidiCallBackFn);
// Cancels the auto status notification function. This function is applicable to BiSetStatusBackFunction,
BXLPSTATUSBACK_API BOOL __stdcall BidiCancelStatusBack();
// Acquires the ASB status from Status API when required by the application.
BXLPSTATUSBACK_API DWORD __stdcall BidiGetStatus();

